DPDK Containerization

Bug #1743610 reported by Kumar Harsh on 2018-01-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
Trunk
Fix Committed
Critical
Kumar Harsh

Bug Description

Run contrail-vrouter-dpdk in container

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/38937
Submitter: Kumar Harsh (<email address hidden>)

Jeba Paulaiyan (jebap) on 2018-01-16
tags: added: provisioning
Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39024
Submitter: Kumar Harsh (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39027
Submitter: Kumar Harsh (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39027
Committed: http://github.com/Juniper/contrail-specs/commit/592064c2ddae93626125d7e9aae5bb82c09a5a72
Submitter: Zuul (<email address hidden>)
Branch: master

commit 592064c2ddae93626125d7e9aae5bb82c09a5a72
Author: Kumar <email address hidden>
Date: Fri Jan 19 11:40:57 2018 +0530

Blueprint for dpdk containerization.

Change-Id: I2e02fb6e07cdb26802676d1ee2b41eee96754e90
Partial-Bug: #1743610

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/38937
Submitter: Kumar Harsh (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39660
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39660
Submitter: Andrey Pavlov (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39660
Committed: http://github.com/Juniper/contrail-container-builder/commit/e210e7f0c23b8675956db8db6f37a455db5e67cc
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit e210e7f0c23b8675956db8db6f37a455db5e67cc
Author: Andrey Pavlov <email address hidden>
Date: Mon Feb 12 14:13:03 2018 +0300

Initial DPDK support. Single iface.

Change-Id: I67dc67436bd91feabd735f37dc874bf67e6a4ae8
Partial-Bug: #1743610

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/39712
Submitter: Kumar Harsh (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39719
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39712
Submitter: Kumar Harsh (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39719
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39712
Submitter: Kumar Harsh (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39719
Committed: http://github.com/Juniper/contrail-container-builder/commit/3c29a3251b8ea9525eee290531b11d45be56142a
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 3c29a3251b8ea9525eee290531b11d45be56142a
Author: alexey-mr <email address hidden>
Date: Tue Feb 13 21:02:25 2018 +0300

For introduce net-watchdog for dpdk case.

This container periodically checks that vhost0
is up and if it is check that it has IP,
if there is no IP then it assign it.
This is a qorkaround for now because
vhost0 can dissappear any time if dpdk container
restarts.
For non-dpdk case the vhost0 init actions are done
in agent container.

Change-Id: I5051b7c1cf123aee0f2b875be1e6c59b5c736486
Partial-Bug: #1743610

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/39712
Submitter: <email address hidden> (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39869
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39870
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39869
Committed: http://github.com/Juniper/contrail-container-builder/commit/a683b5d89bc39050660fb87c62e5b24d6acb570b
Submitter: Rudra Rugge (<email address hidden>)
Branch: master

commit a683b5d89bc39050660fb87c62e5b24d6acb570b
Author: alexey-mr <email address hidden>
Date: Sun Feb 18 12:20:21 2018 +0300

fixed taskset parameter for coremask in format 0-7

Change-Id: I6818cc8f6012bb4484f082328327843f05272b0a
Partial-Bug: #1743610

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/39879
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/39712
Submitter: <email address hidden> (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39870
Committed: http://github.com/Juniper/contrail-ansible-deployer/commit/f52bd725d78726c2c30308928573e05b12711333
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit f52bd725d78726c2c30308928573e05b12711333
Author: alexey-mr <email address hidden>
Date: Sun Feb 18 13:22:46 2018 +0300

Added vrouter_dpdk role

Change-Id: I25f96652ccfc2865c14a1a97c1eb7676d803aa88
Partial-Bug: #1743610

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/39879
Submitter: alexey-mr (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39879
Committed: http://github.com/Juniper/contrail-container-builder/commit/5bf415f92df933cb2aa07ca59f7b150ce8971570
Submitter: Rudra Rugge (<email address hidden>)
Branch: master

commit 5bf415f92df933cb2aa07ca59f7b150ce8971570
Author: alexey-mr <email address hidden>
Date: Mon Feb 19 17:55:48 2018 +0300

Added dhcpclient to net-watchdog

Change-Id: I8a44d08454685de37425ac613675222d1ab43b56
Partial-Bug: #1743610

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/39712
Submitter: <email address hidden> (<email address hidden>)

Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/39712
Committed: http://github.com/Juniper/contrail-helm-deployer/commit/f09b661a74c049ea4f6c5f641927b072fe9eb820
Submitter: Rudra Rugge (<email address hidden>)
Branch: master

commit f09b661a74c049ea4f6c5f641927b072fe9eb820
Author: Madhukar Nayakbomman <email address hidden>
Date: Thu Feb 22 11:27:34 2018 -0800

Dpdk helm provisioning

Added dpdk templates for provisioning dpdk vrouter using helm charts

Change-Id: Ie118b7cf97b1dc0f63b9ebe8c6e38586680682d2
Partial-Bug: #1743610

Kumar Harsh (hkumar) on 2018-02-23
information type: Proprietary → Public
Jeba Paulaiyan (jebap) on 2018-03-21
tags: added: sanityblocker
Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : [Review update] master

Review in progress for https://review.opencontrail.org/40955
Submitter: Kumar Harsh (<email address hidden>)

Vineet Gupta (vineetrf) on 2018-03-26
tags: removed: sanityblocker
Revision history for this message
OpenContrail Admin (ci-admin-f) wrote : A change has been merged

Reviewed: https://review.opencontrail.org/40955
Committed: http://github.com/Juniper/contrail-ansible-deployer/commit/eb6c3ac3995566f6e10e0adf73fff9cad5d6bfc3
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit eb6c3ac3995566f6e10e0adf73fff9cad5d6bfc3
Author: Harsh Kumar <email address hidden>
Date: Sun Mar 25 19:08:22 2018 +0530

Sample inventory:
instances:
centos1:
provider: bms
ip: 10.204.217.1
roles:
config_database:
config:
control:
analytics_database:
analytics:
webui:
vrouter:
openstack:
centos2:
provider: bms
ip: 10.204.217.130
roles:
vrouter:
network_interface: eno1
PHYSICAL_INTERFACE: enp4s0f0
AGENT_MODE: dpdk
CPU_CORE_MASK: 0x01
HUGE_PAGES: 100
DPDK_UIO_DRIVER: uio_pci_generic
network_interface: eno1

Change-Id: I3cfe65167a85a9925a7b7efdaf50b7df15ce24f5
Closes-Bug: #1743610

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers